import request from '@/utils/request'

// 查询体尺测量列表
export function listBody_measure(query) {
  return request({
    url: '/body_measure/body_measure/list',
    method: 'get',
    params: query
  })
}

// 查询体尺测量详细
export function getBody_measure(id) {
  return request({
    url: '/body_measure/body_measure/' + id,
    method: 'get'
  })
}

// 新增体尺测量
export function addBody_measure(data) {
  return request({
    url: '/body_measure/body_measure',
    method: 'post',
    data: data
  })
}

// 修改体尺测量
export function updateBody_measure(data) {
  return request({
    url: '/body_measure/body_measure',
    method: 'put',
    data: data
  })
}

// 删除体尺测量
export function delBody_measure(id) {
  return request({
    url: '/body_measure/body_measure/' + id,
    method: 'delete'
  })
}
//获取羊只类别列表
export function getSheepTypeList() {
  return request({
    url: '/base/base/list', 
    method: 'get'
  })
}